package com.fr.plugin.beans;

import com.fr.json.JSONException;
import com.fr.json.JSONObject;
import com.fr.plugin.entitys.MyAgentEntity;
import com.fr.stable.db.data.BaseDataRecord;

import java.io.Serializable;

public class MyAgentBean extends BaseDataRecord implements Serializable {
    private String agentName;
    private String sysKey;
    private String secret;

    public MyAgentEntity createEntity(MyAgentEntity var1) {
        var1.setId(this.getId());
        var1.setAgentName(this.agentName);
        var1.setSecret(this.secret);
        var1.setSysKey(this.sysKey);
        return var1;
    }

    public String getSysKey() {
        return sysKey;
    }

    public void setSysKey(String sysKey) {
        this.sysKey = sysKey;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getAgentName() {
        return this.agentName;
    }

    public void setAgentName(String var1) {
        this.agentName = var1;
    }


    public JSONObject toJSONObject() throws JSONException {
        JSONObject var1 = JSONObject.create();
        var1.put("id", this.getId());
        var1.put("agentName", this.agentName);
        var1.put("sysKey", this.sysKey);
        var1.put("secret", this.secret);
        return var1;
    }
}
