package com.fr.plugin.config;

import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.plugin.constant.Week;


public class MyTimingTaskConfig {
    private Conf<Boolean> executeTimingTask;
    private Conf<Integer> timingTaskFrequencyType;
    private Conf<Integer> timingTaskStartDay;
    private Conf<String> timingTaskStartHour;
    private Conf<String> timingTaskStartMinute;

    public MyTimingTaskConfig() {
        this.executeTimingTask = Holders.simple(false);
        this.timingTaskFrequencyType = Holders.simple(0);
        this.timingTaskStartDay = Holders.simple(Week.MONDAY.getDay());
        this.timingTaskStartHour = Holders.simple("00");
        this.timingTaskStartMinute = Holders.simple("00");
    }

    public MyTimingTaskConfig(boolean var1, int var2, String var3, String var4) {
        this.executeTimingTask = Holders.simple(false);
        this.timingTaskFrequencyType = Holders.simple(0);
        this.timingTaskStartDay = Holders.simple(Week.MONDAY.getDay());
        this.timingTaskStartHour = Holders.simple("00");
        this.timingTaskStartMinute = Holders.simple("00");
        this.executeTimingTask.set(var1);
        this.timingTaskFrequencyType.set(var2);
        this.timingTaskStartHour.set(var3);
        this.timingTaskStartMinute.set(var4);
    }

    MyTimingTaskConfig(boolean var1, int var2, int var3, String var4, String var5) {
        this(var1, var2, var4, var5);
        this.timingTaskStartDay.set(var3);
    }

    public boolean isExecuteTimingTask() {
        return (Boolean)this.executeTimingTask.get();
    }

    public void setExecuteTimingTask(boolean var1) {
        this.executeTimingTask.set(var1);
    }

    public int getTimingTaskFrequencyType() {
        return (Integer)this.timingTaskFrequencyType.get();
    }

    public void setTimingTaskFrequencyType(int var1) {
        this.timingTaskFrequencyType.set(var1);
    }

    public int getTimingTaskStartDay() {
        return (Integer)this.timingTaskStartDay.get();
    }

    public void setTimingTaskStartDay(int var1) {
        this.timingTaskStartDay.set(var1);
    }

    public String getTimingTaskStartHour() {
        return (String)this.timingTaskStartHour.get();
    }

    public void setTimingTaskStartHour(String var1) {
        this.timingTaskStartHour.set(var1);
    }

    public String getTimingTaskStartMinute() {
        return (String)this.timingTaskStartMinute.get();
    }

    public void setTimingTaskStartMinute(String var1) {
        this.timingTaskStartMinute.set(var1);
    }
}
