package com.fr.plugin.constant;


public enum Week {
    SUNDAY("SUN", 0),
    MONDAY("MON", 1),
    TUESDAY("TUE", 2),
    WEDNESDAY("WED", 3),
    THURSDAY("THU", 4),
    FRIDAY("FRI", 5),
    SATURDAY("STA", 6);

    private int day;
    private String dayName;

    private Week(String var3, int var4) {
        this.dayName = var3;
        this.day = var4;
    }

    public int getDay() {
        return this.day;
    }

    public String getDayName() {
        return this.dayName;
    }

    public static Week getWeek(int var0) {
        switch(var0) {
            case 0:
                return SUNDAY;
            case 1:
                return MONDAY;
            case 2:
                return TUESDAY;
            case 3:
                return WEDNESDAY;
            case 4:
                return THURSDAY;
            case 5:
                return FRIDAY;
            case 6:
                return SATURDAY;
            default:
                return MONDAY;
        }
    }
}
