package com.fr.plugin.core;

import com.fr.decision.system.message.image.MessageImage;
import com.fr.decision.system.message.type.MessageType;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.beans.msg.MyMessageType;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.fun.impl.AbstractMessageObjectProvider;
import com.fr.stable.collections.combination.Pair;
@EnableMetrics
public class MeixinMessageObject extends AbstractMessageObjectProvider {
    @Override
    public MessageType getMessageType() {
        return MyMessageType.KEY;
    }

    @Override
    public Pair<String, String>[] getValueEditorItems() {
        return new Pair[0];
    }

    @Override
    @Focus(id = "com.fr.plugin.meixin.10", text = "sendMessage", source = Original.PLUGIN)
    public void sendMessage(MessageImage messageContent) {

        System.out.println(messageContent);
    }
}
