package com.fr.plugin.core;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;
import com.fr.plugin.dao.MyAgentDao;
import com.fr.plugin.dao.MyEntityDao;
import com.fr.plugin.db.AbstractDBAccessProvider;
import com.fr.plugin.entitys.MyAgentEntity;
import com.fr.plugin.entitys.OutputMyEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;
public class MyDecisionDBAccess extends AbstractDecisionDBAccessProvider {
    private static DBAccessor accessor;

    @Override

    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{new DAOProvider() {
            public Class getEntityClass() {
                return OutputMyEntity.class;
            }

            public Class<? extends BaseDAO> getDAOClass() {
                return MyEntityDao.class;
            }
        }};
    }

    public static DBAccessor getAccessor() {
        return accessor;
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        accessor = dbAccessor;
    }
}
