package com.fr.plugin.core;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.web.hander.*;
import com.fr.plugin.web.hander.member.*;

public class MyHttpHander extends AbstractHttpHandlerProvider {
    HttpHandler[] actions = new HttpHandler[]{
            new MyCheckLicenseHandler(),
            new GetAgentHandler(),
            new SingleLoginHandler(),
            new GetConfigHandler(),
            new SaveConfigHandler(),
            new SaveAgentHandler(),
            new DelAgentHander(),
            new GetDepTree(),
            new SaveMatch(),
            new LanlingLogin(),
            new GetMatch(),
            new GetMemberHandler(),
            new SaveRelation(),
            new SynUserHander(),
            new ScanLoginHandler(),
            new PCLoginHandler(),
            new SycHookHander(),
            new GetImageHandler(),
            new pushBeanHandler()//推送接收器

    };

    @Override
    public HttpHandler[] registerHandlers() {
        return actions;
    }
}
