package com.fr.plugin.core;

import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.Authorize;
import com.fr.web.struct.Atom;

 @FunctionRecorder
public class MySystemOption extends AbstractSystemOptionProvider {
    public MySystemOption() {
        System.out.println("初始化了哦");
    }

    @Override
    @ExecuteFunctionRecord
    public String id() {
        return "MeixinSystemOption";
    }

    @Override
    public String displayName() {
        return "云家插件10";
    }

    @Override
    public int sortIndex() {
        return 2;
    }

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return MyComponent.KEY;
    }
}
