package com.fr.plugin.core;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

public class MyUrlAliasProvider extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                //第一个参数就是就是别名地址，第二个就是HttpHandler中设置的地址，第三个参数就是设置该请求是否公开（需要和对应的HttpHandler.isPublic方法返回一直，要不然会报错404）,返回的是一个非通配
                URLAliasFactory.createPluginAlias("/saml_login_callback", "/hf/login", true),
                URLAliasFactory.createPluginAlias("/getImage", "/getImage", true)
        };
    }
}
