package com.fr.plugin.entitys;

import com.fr.plugin.beans.MyAgentBean;
import com.fr.plugin.beans.MyUserBean;
import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

@Entity
@Table(
        name = "fine_xxxx_zch_user"
)
public class MyUserEntity extends BaseEntity {
    @Column(
            name = "openId"
    )
    private String openId;
    @Column(
            name = "name"
    )
    private String name;
    @Column(
            name = "photoUrl"
    )
    private String photoUrl;
    @Column(
            name = "jobNo"
    )
    private String jobNo;
    @Column(
            name = "depName"
    )
    private String department;
    @Column(
            name = "status"
    )
    private int status;
    @Column(
            name = "phone"
    )
    private String  phone;
    @Column(
            name = "fsUserName"
    )
    private String  fsUserName;

    public String getFsUserName() {
        return fsUserName;
    }

    public void setFsUserName(String fsUserName) {
        this.fsUserName = fsUserName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public MyUserBean createBean() {
        MyUserBean var1 =new MyUserBean();
        var1.setId(this.openId);
        var1.setOpenId(this.getOpenId());
        var1.setName(this.getName());
        var1.setDepartment(this.getDepartment());
        var1.setJobNo(this.getJobNo());
        var1.setPhotoUrl(this.getPhotoUrl());
        var1.setStatus(this.getStatus());
        var1.setPhone(this.getPhone());
        var1.setFsUserName(this.getFsUserName());
        return var1;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getJobNo() {
        return jobNo;
    }

    public void setJobNo(String jobNo) {
        this.jobNo = jobNo;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    /// "openId":String, //人员的openid
//            "name":String, //姓名
//            "photoUrl":String, //头像URL
//            "phone":String, //手机号码
//            "isHidePhone":String, //是否在通讯录中隐藏手机号码,0: 不隐藏; 1: 隐藏,默认为0
//            "email":String, //邮箱
//            "department":String, //组织长名称
//            "jobNo":String, //企业工号
//            "jobTitle":String, //职位
//            "gender":int, //性别,0: 不确定; 1: 男; 2: 女
//            "status":int, //状态 0: 注销，1: 正常，2: 禁用
//            "orgUserType":int //是否部门负责人 0:否， 1：是
    //        "positiveDate":String,//转正日期，格式如："2018-01-01"
}
