package com.fr.plugin.web.hander;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONArray;
import com.fr.json.JSONObject;
import com.fr.plugin.beans.MyAgentBean;
import com.fr.plugin.config.MyConfig;
import com.fr.plugin.entitys.MyAgentEntity;
import com.fr.plugin.utils.MyUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Iterator;
import java.util.List;

public class GetConfigHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/xxx/report/server/url";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        JSONObject var3 = MyUtils.createSuccessResponseJSONObject();
        MyConfig var4 = MyConfig.getInstance();
        var3.put("reportServerUrl", var4.getUrl());
        var3.put("authUrl", var4.getAuthUrl());
        var3.put("pushUrl", var4.getPushUrl());
        var3.put("appKey", var4.getAppKey());
        var3.put("accessToken", var4.getAccessToken());

//        var3.put("scanSecret", var4.getScanSecret());
//        var3.put("scanId", var4.getScanId());
        WebUtils.flushSuccessMessageAutoClose(httpServletRequest, httpServletResponse, var3);
    }
}
