package com.fr.plugin.web.hander;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONArray;
import com.fr.json.JSONObject;
import com.fr.plugin.beans.MyAgentBean;
import com.fr.plugin.config.MyConfig;
import com.fr.plugin.entitys.MyAgentEntity;
import com.fr.plugin.utils.MyUtils;
import com.fr.stable.StringUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Iterator;
import java.util.List;

public class SaveConfigHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }

    @Override
    public String getPath() {
        return "/xxx/report/server/url";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        String var3 = WebUtils.getHTTPRequestParameter(httpServletRequest, "reportServerUrl");
        if (StringUtils.isNotEmpty(var3)) {
            String var4;
            if (var3.contains("?")) {
                var4 = var3.substring(0, var3.indexOf("?"));
            } else {
                var4 = var3;
            }
//            String appId = WebUtils.getHTTPRequestParameter(httpServletRequest, "appId");
            String pushUrl = WebUtils.getHTTPRequestParameter(httpServletRequest, "pushUrl");
            String accessToken = WebUtils.getHTTPRequestParameter(httpServletRequest, "accessToken");
            String appKey = WebUtils.getHTTPRequestParameter(httpServletRequest, "appKey");
            String authUrl = WebUtils.getHTTPRequestParameter(httpServletRequest, "authUrl");
//            String scanId = WebUtils.getHTTPRequestParameter(httpServletRequest, "scanId");

            MyConfig myConfig = MyConfig.getInstance();
            myConfig.setPushUrl(pushUrl);
            myConfig.setAppKey(appKey);
            myConfig.setAccessToken(accessToken);
            myConfig.setAuthUrl(authUrl);
            myConfig.setUrl(var4);
        }

        JSONObject var5 = MyUtils.createSuccessResponseJSONObject();
        WebUtils.flushSuccessMessageAutoClose(httpServletRequest, httpServletResponse, var5);
    }
}
