package com.fr.plugin.web.hander.member;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONArray;
import com.fr.json.JSONObject;
import com.fr.plugin.beans.MyAgentBean;
import com.fr.plugin.core.MyCorpManager;
import com.fr.plugin.entitys.MyAgentEntity;
import com.fr.plugin.utils.MyUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Iterator;
import java.util.List;

public class GetDepTree extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/xxx/dep/tree";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        JSONArray var3 = MyCorpManager.getInstance().generateDepartmentTree();
        JSONObject var4 = MyUtils.createSuccessResponseJSONObject();
        var4.put("depTree", var3);
        WebUtils.flushSuccessMessageAutoClose(httpServletRequest, httpServletResponse, var4);
    }
}

