package com.fr.plugin.web.hander.member;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.config.MyConfig;
import com.fr.plugin.utils.MyUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SaveMatch extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }

    @Override
    public String getPath() {
        return "/xxx/match/method";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        String match= WebUtils.getHTTPRequestParameter(httpServletRequest, "matchingFsWay");
        JSONObject jsonObject = MyUtils.createSuccessResponseJSONObject();
        MyConfig config=MyConfig.getInstance();
        if (config != null) {
           config.setMatch(match);
        }
        WebUtils.flushSuccessMessageAutoClose(httpServletRequest, httpServletResponse, jsonObject);
    }
}

