package com.fr.plugin.core;

import com.fr.main.workbook.ResultWorkBook;
import com.fr.plugin.beans.MyOutputBean;
import com.fr.plugin.entitys.OutputMyEntity;
import com.fr.schedule.base.provider.impl.AbstractOutputFormulaProvider;
import com.fr.schedule.extension.report.util.ScheduleParameterUtils;

import java.util.List;
import java.util.Map;

public class MyFormulaProvider extends AbstractOutputFormulaProvider<MyOutputBean, ResultWorkBook> {
    @Override
    public void dealWithFormulaParam(MyOutputBean myOutputBean, ResultWorkBook resultWorkBook, List<Map<String, Object>> list) throws Exception {
        myOutputBean.setSubject(ScheduleParameterUtils.dealWithParameter(myOutputBean.getSubject(),  list.get(0), resultWorkBook));
        myOutputBean.setContent(ScheduleParameterUtils.dealWithParameter(myOutputBean.getContent(),  list.get(0), resultWorkBook));
    }

    @Override
    public String getActionClassName() {
        return MyOutputBean.class.getName();
    }
}
