package com.fr.plugin.web.hander.member;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.decision.webservice.v10.attach.AttachmentService;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class GetImageHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/getImage";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        String imageId = httpServletRequest.getParameter("imageId");
        AttachmentService.getInstance().showImage(httpServletRequest, httpServletResponse, imageId, "png", false);
//        InputStream inputStream = ResourceIOUtils.read("/assets/temp_attach/" + imageId);
//        if (inputStream != null) {
//            httpServletResponse.setContentType("image/png");
//            IOUtil.copyCompletely(inputStream,httpServletResponse.getOutputStream());
//        }
//        WebUtils.printAsString(httpServletResponse, "文件未找到");
    }

}
